Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.constants
Interface DiSHConstants

public interface DiSHConstants

Constants specifically used by the DiSH server and assosciated `DiSHService` class.

See Also:
  `DiSHService`

Field Summary
`static java.lang.String` | `ACIPORT_TAG_NAME`
`static java.lang.String` | `ACTUALHOST_TAG_NAME`
`static java.lang.String` | `AUDIT_ENABLED_PARAM_NAME`
`static java.lang.String` | `AUDIT_ENABLED_TAG_NAME`
`static java.lang.String` | `AUDIT_INTERVAL_PARAM_NAME`
`static java.lang.String` | `AUDIT_INTERVAL_TAG_NAME`
`static java.lang.String` | `CHILD_ADD_ACTION`
`static java.lang.String` | `CHILD_LIST_ACTION`
`static java.lang.String` | `CHILD_LIST_INTERFACES_CATEGORY`
`static java.lang.String` | `CHILD_LIST_INTERFACES_QUERY` Action Parameter Values
`static java.lang.String` | `CHILD_LIST_INTERFACES_USER`
`static java.lang.String` | `CHILD_LIST_TARGET_CSV_PARAM_NAME` Action Parameter Names
`static java.lang.String` | `CHILD_NOT_FOUND_ERROR`
`static java.lang.String` | `CHILD_PARAM_NAME`
`static java.lang.String` | `CHILD_REMOVE_ACTION`
`static java.lang.String` | `CHILD_TAG_NAME`
`static java.lang.String` | `ERROR_AUDIT_ENABLED_TAG_NAME`
`static java.lang.String` | `ERROR_AUDIT_INTERVAL_TAG_NAME`
`static java.lang.String` | `FUNCTIONALITY_AGENTS` Functionality
`static java.lang.String` | `FUNCTIONALITY_ALERTING`
`static java.lang.String` | `FUNCTIONALITY_CATEGORISATION`
`static java.lang.String` | `FUNCTIONALITY_CHANNELS`
`static java.lang.String` | `FUNCTIONALITY_CLUSTERING`
`static java.lang.String` | `FUNCTIONALITY_COLLABORATION`
`static java.lang.String` | `FUNCTIONALITY_EDUCTION`
`static java.lang.String` | `FUNCTIONALITY_HYPERLINKING`
`static java.lang.String` | `FUNCTIONALITY_MAILING`
`static java.lang.String` | `FUNCTIONALITY_PROFILING`
`static java.lang.String` | `FUNCTIONALITY_RETRIEVAL_CONCEPT`
`static java.lang.String` | `FUNCTIONALITY_RETRIEVAL_LITE`
`static java.lang.String` | `FUNCTIONALITY_RETRIEVAL_PARAMETRIC`
`static java.lang.String` | `FUNCTIONALITY_SUMMARISATION`
`static java.lang.String` | `FUNCTIONALITY_TAG_NAME` XML TAG NAMES
`static java.lang.String` | `FUNCTIONALITY_TAXONOMY_GENERATION`
`static java.lang.String` | `HOST_PARAM_NAME`
`static java.lang.String` | `HOST_TAG_NAME`
`static java.lang.String` | `INTERFACE_ADD_ACTION`
`static java.lang.String` | `INTERFACE_LIST_ACTION`
`static java.lang.String` | `INTERFACE_PARAM_NAME`
`static java.lang.String` | `INTERFACE_REMOVE_ACTION`
`static java.lang.String` | `INTERFACE_TAG_NAME`
`static java.lang.String` | `INTERFACE_TARGET_CSV_PARAM_NAME`
`static java.lang.String` | `INVALID_LICENSE_ERROR` Error strings
`static java.lang.String` | `KEEPALIVE_ENABLED_TAG_NAME`
`static java.lang.String` | `KEEPALIVE_INTERVAL_TAG_NAME`
`static java.lang.String` | `LICENSE_INFO_ACTION` Actions
`static java.lang.String` | `NAME_TAG_NAME`
`static java.lang.String` | `PATH_PARAM_NAME`
`static java.lang.String` | `PATH_TAG_NAME`
`static java.lang.String` | `SCM_PARAM_NAME`
`static java.lang.String` | `SCM_TAG_NAME`
`static java.lang.String` | `SERVICENAME_PARAM_NAME`
`static java.lang.String` | `SERVICENAME_TAG_NAME`
`static java.lang.String` | `SERVICEPORT_PARAM_NAME`
`static java.lang.String` | `SERVICEPORT_TAG_NAME`
`static java.lang.String` | `TIMEOUT_PARAM_NAME`
`static java.lang.String` | `TIMEOUT_TAG_NAME`

Field Detail

### LICENSE_INFO_ACTION

    public static final java.lang.String LICENSE_INFO_ACTION

  Actions

  See Also:
    Constant Field Values

### CHILD_LIST_ACTION

    public static final java.lang.String CHILD_LIST_ACTION

See Also:
  Constant Field Values

### CHILD_ADD_ACTION

    public static final java.lang.String CHILD_ADD_ACTION

See Also:
  Constant Field Values

### CHILD_REMOVE_ACTION

    public static final java.lang.String CHILD_REMOVE_ACTION

See Also:
  Constant Field Values

### INTERFACE_LIST_ACTION

    public static final java.lang.String INTERFACE_LIST_ACTION

See Also:
  Constant Field Values

### INTERFACE_ADD_ACTION

    public static final java.lang.String INTERFACE_ADD_ACTION

See Also:
  Constant Field Values

### INTERFACE_REMOVE_ACTION

    public static final java.lang.String INTERFACE_REMOVE_ACTION

See Also:
  Constant Field Values

### CHILD_LIST_TARGET_CSV_PARAM_NAME

    public static final java.lang.String CHILD_LIST_TARGET_CSV_PARAM_NAME

  Action Parameter Names

  See Also:
    Constant Field Values

### INTERFACE_TARGET_CSV_PARAM_NAME

    public static final java.lang.String INTERFACE_TARGET_CSV_PARAM_NAME

See Also:
  Constant Field Values

### CHILD_PARAM_NAME

    public static final java.lang.String CHILD_PARAM_NAME

See Also:
  Constant Field Values

### INTERFACE_PARAM_NAME

    public static final java.lang.String INTERFACE_PARAM_NAME

See Also:
  Constant Field Values

### HOST_PARAM_NAME

    public static final java.lang.String HOST_PARAM_NAME

See Also:
  Constant Field Values

### PATH_PARAM_NAME

    public static final java.lang.String PATH_PARAM_NAME

See Also:
  Constant Field Values

### SCM_PARAM_NAME

    public static final java.lang.String SCM_PARAM_NAME

See Also:
  Constant Field Values

### SERVICENAME_PARAM_NAME

    public static final java.lang.String SERVICENAME_PARAM_NAME

See Also:
  Constant Field Values

### SERVICEPORT_PARAM_NAME

    public static final java.lang.String SERVICEPORT_PARAM_NAME

See Also:
  Constant Field Values

### TIMEOUT_PARAM_NAME

    public static final java.lang.String TIMEOUT_PARAM_NAME

See Also:
  Constant Field Values

### AUDIT_ENABLED_PARAM_NAME

    public static final java.lang.String AUDIT_ENABLED_PARAM_NAME

See Also:
  Constant Field Values

### AUDIT_INTERVAL_PARAM_NAME

    public static final java.lang.String AUDIT_INTERVAL_PARAM_NAME

See Also:
  Constant Field Values

### CHILD_LIST_INTERFACES_QUERY

    public static final java.lang.String CHILD_LIST_INTERFACES_QUERY

  Action Parameter Values

  See Also:
    Constant Field Values

### CHILD_LIST_INTERFACES_CATEGORY

    public static final java.lang.String CHILD_LIST_INTERFACES_CATEGORY

See Also:
  Constant Field Values

### CHILD_LIST_INTERFACES_USER

    public static final java.lang.String CHILD_LIST_INTERFACES_USER

See Also:
  Constant Field Values

### FUNCTIONALITY_TAG_NAME

    public static final java.lang.String FUNCTIONALITY_TAG_NAME

  XML TAG NAMES

  See Also:
    Constant Field Values

### CHILD_TAG_NAME

    public static final java.lang.String CHILD_TAG_NAME

See Also:
  Constant Field Values

### INTERFACE_TAG_NAME

    public static final java.lang.String INTERFACE_TAG_NAME

See Also:
  Constant Field Values

### NAME_TAG_NAME

    public static final java.lang.String NAME_TAG_NAME

See Also:
  Constant Field Values

### SERVICENAME_TAG_NAME

    public static final java.lang.String SERVICENAME_TAG_NAME

See Also:
  Constant Field Values

### SCM_TAG_NAME

    public static final java.lang.String SCM_TAG_NAME

See Also:
  Constant Field Values

### HOST_TAG_NAME

    public static final java.lang.String HOST_TAG_NAME

See Also:
  Constant Field Values

### SERVICEPORT_TAG_NAME

    public static final java.lang.String SERVICEPORT_TAG_NAME

See Also:
  Constant Field Values

### ACTUALHOST_TAG_NAME

    public static final java.lang.String ACTUALHOST_TAG_NAME

See Also:
  Constant Field Values

### ACIPORT_TAG_NAME

    public static final java.lang.String ACIPORT_TAG_NAME

See Also:
  Constant Field Values

### PATH_TAG_NAME

    public static final java.lang.String PATH_TAG_NAME

See Also:
  Constant Field Values

### AUDIT_INTERVAL_TAG_NAME

    public static final java.lang.String AUDIT_INTERVAL_TAG_NAME

See Also:
  Constant Field Values

### AUDIT_ENABLED_TAG_NAME

    public static final java.lang.String AUDIT_ENABLED_TAG_NAME

See Also:
  Constant Field Values

### ERROR_AUDIT_INTERVAL_TAG_NAME

    public static final java.lang.String ERROR_AUDIT_INTERVAL_TAG_NAME

See Also:
  Constant Field Values

### ERROR_AUDIT_ENABLED_TAG_NAME

    public static final java.lang.String ERROR_AUDIT_ENABLED_TAG_NAME

See Also:
  Constant Field Values

### KEEPALIVE_INTERVAL_TAG_NAME

    public static final java.lang.String KEEPALIVE_INTERVAL_TAG_NAME

See Also:
  Constant Field Values

### KEEPALIVE_ENABLED_TAG_NAME

    public static final java.lang.String KEEPALIVE_ENABLED_TAG_NAME

See Also:
  Constant Field Values

### TIMEOUT_TAG_NAME

    public static final java.lang.String TIMEOUT_TAG_NAME

See Also:
  Constant Field Values

### FUNCTIONALITY_AGENTS

    public static final java.lang.String FUNCTIONALITY_AGENTS

  Functionality

  See Also:
    Constant Field Values

### FUNCTIONALITY_ALERTING

    public static final java.lang.String FUNCTIONALITY_ALERTING

See Also:
  Constant Field Values

### FUNCTIONALITY_CATEGORISATION

    public static final java.lang.String FUNCTIONALITY_CATEGORISATION

See Also:
  Constant Field Values

### FUNCTIONALITY_CHANNELS

    public static final java.lang.String FUNCTIONALITY_CHANNELS

See Also:
  Constant Field Values

### FUNCTIONALITY_CLUSTERING

    public static final java.lang.String FUNCTIONALITY_CLUSTERING

See Also:
  Constant Field Values

### FUNCTIONALITY_COLLABORATION

    public static final java.lang.String FUNCTIONALITY_COLLABORATION

See Also:
  Constant Field Values

### FUNCTIONALITY_EDUCTION

    public static final java.lang.String FUNCTIONALITY_EDUCTION

See Also:
  Constant Field Values

### FUNCTIONALITY_HYPERLINKING

    public static final java.lang.String FUNCTIONALITY_HYPERLINKING

See Also:
  Constant Field Values

### FUNCTIONALITY_MAILING

    public static final java.lang.String FUNCTIONALITY_MAILING

See Also:
  Constant Field Values

### FUNCTIONALITY_PROFILING

    public static final java.lang.String FUNCTIONALITY_PROFILING

See Also:
  Constant Field Values

### FUNCTIONALITY_RETRIEVAL_CONCEPT

    public static final java.lang.String FUNCTIONALITY_RETRIEVAL_CONCEPT

See Also:
  Constant Field Values

### FUNCTIONALITY_RETRIEVAL_LITE

    public static final java.lang.String FUNCTIONALITY_RETRIEVAL_LITE

See Also:
  Constant Field Values

### FUNCTIONALITY_RETRIEVAL_PARAMETRIC

    public static final java.lang.String FUNCTIONALITY_RETRIEVAL_PARAMETRIC

See Also:
  Constant Field Values

### FUNCTIONALITY_SUMMARISATION

    public static final java.lang.String FUNCTIONALITY_SUMMARISATION

See Also:
  Constant Field Values

### FUNCTIONALITY_TAXONOMY_GENERATION

    public static final java.lang.String FUNCTIONALITY_TAXONOMY_GENERATION

See Also:
  Constant Field Values

### INVALID_LICENSE_ERROR

    public static final java.lang.String INVALID_LICENSE_ERROR

  Error strings

  See Also:
    Constant Field Values

### CHILD_NOT_FOUND_ERROR

    public static final java.lang.String CHILD_NOT_FOUND_ERROR

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD